Openshift: Version 3.9 provisioning fails @ TASK:openshift_web_console

Bug #1781687 reported by Sarath on 2018-07-14
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Juniper Openstack
Status tracked in Trunk
R5.0
Fix Committed
Critical
Aniket Gawade
Trunk
Fix Committed
Critical
Aniket Gawade

Bug Description

Version: Contrail R5.0-122 / Openshift-3.9

Vinay triaged the setup and the issue is due to master label allocate and as contrail pods needs up on OC master needs to get labelled for compute.

TASK [openshift_web_console : Verify that the web console is running] *************************************************************************************************************************************
Friday 13 July 2018 20:18:17 -0400 (0:00:00.065) 0:34:38.934 ***********
[DEPRECATION WARNING]: Using tests as filters is deprecated. Instead of using `result|version_compare` instead use `result is version_compare`. This feature will be removed in version 2.9. Deprecation
warnings can be disabled by setting deprecation_warnings=False in ansible.cfg.
FAILED - RETRYING: Verify that the web console is running (60 retries left).
FAILED - RETRYING: Verify that the web console is running (59 retries left).
FAILED - RETRYING: Verify that the web console is running (58 retries left).
FAILED - RETRYING: Verify that the web console is running (57 retries left).
FAILED - RETRYING: Verify that the web console is running (56 retries left).
::
::
fatal: [10.0.0.6]: FAILED! => {"attempts": 60, "changed": false, "cmd": ["curl", "-k", "https://webconsole.openshift-web-console.svc/healthz"], "delta": "0:00:00.519780", "end": "2018-07-13 20:29:01.912869", "msg": "non-zero return code", "rc": 6, "start": "2018-07-13 20:29:01.393089", "stderr": " % Total % Received % Xferd Average Speed Time Time Time Current\n Dload Upload Total Spent Left Speed\n\r 0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0curl: (6) Could not resolve host: webconsole.openshift-web-console.svc; Unknown error", "stderr_lines": [" % Total % Received % Xferd Average Speed Time Time Time Current", " Dload Upload Total Spent Left Speed", "", " 0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0curl: (6) Could not resolve host: webconsole.openshift-web-console.svc; Unknown error"], "stdout": "", "stdout_lines": []}
...ignoring

oc get nodes --show-labels
NAME STATUS ROLES AGE VERSION LABELS
server1 NotReady master 50m v1.9.1+a0ce1bc657 beta.kubernetes.io/arch=amd64,beta.kubernetes.io/os=linux,kubernetes.io/hostname=server1,node-role.kubernetes.io/master=true,opencontrail.org/controller=true
server2 NotReady master 50m v1.9.1+a0ce1bc657 beta.kubernetes.io/arch=amd64,beta.kubernetes.io/os=linux,kubernetes.io/hostname=server2,node-role.kubernetes.io/master=true,opencontrail.org/controller=true
server3 NotReady master 50m v1.9.1+a0ce1bc657 beta.kubernetes.io/arch=amd64,beta.kubernetes.io/os=linux,kubernetes.io/hostname=server3,node-role.kubernetes.io/master=true,opencontrail.org/controller=true
server4 Ready compute 50m v1.9.1+a0ce1bc657 beta.kubernetes.io/arch=amd64,beta.kubernetes.io/os=linux,kubernetes.io/hostname=server4,node-role.kubernetes.io/compute=true
server5 Ready compute 50m v1.9.1+a0ce1bc657 beta.kubernetes.io/arch=amd64,beta.kubernetes.io/os=linux,kubernetes.io/hostname=server5,node-role.kubernetes.io/compute=true

Review in progress for https://review.opencontrail.org/44626
Submitter: Aniket Gawade (<email address hidden>)

Review in progress for https://review.opencontrail.org/44627
Submitter: Aniket Gawade (<email address hidden>)

Reviewed: https://review.opencontrail.org/44626
Committed: http://github.com/Juniper/openshift-ansible/commit/c4d3cf8b09e206463c715c4fdefc4b879ff95538
Submitter: Zuul v3 CI (<email address hidden>)
Branch: release-3.7-contrail

commit c4d3cf8b09e206463c715c4fdefc4b879ff95538
Author: Aniket Gawade <email address hidden>
Date: Fri Jul 13 19:27:01 2018 -0700

Need to make master schedulable

Adding compute label to master node

Change-Id: Ibbd5c2d241fb67d839eb77a0d4bfbfbd786d1a49
Closes-Bug: #1781687

OpenContrail Admin (ci-admin-f) wrote :

Reviewed: https://review.opencontrail.org/44627
Committed: http://github.com/Juniper/openshift-ansible/commit/c65955f0038bb48d0e428ba374b3fadca1f5a4cd
Submitter: Zuul v3 CI (<email address hidden>)
Branch: release-3.9-contrail

commit c65955f0038bb48d0e428ba374b3fadca1f5a4cd
Author: Aniket Gawade <email address hidden>
Date: Fri Jul 13 19:27:01 2018 -0700

Need to make master schedulable

Adding compute label to master node

Change-Id: Ibbd5c2d241fb67d839eb77a0d4bfbfbd786d1a49
Closes-Bug: #1781687

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers